UbixOS V2 2.0

Data Structures | Macros | Typedefs
elf32.h File Reference
`#include <sys/elf_common.h>`
Include dependency graph for elf32.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | Elf32_Cap
struct | Elf32_Chdr
struct | Elf32_Dyn
struct | Elf32_Ehdr
struct | Elf32_Lib
struct | Elf32_Move
struct | Elf32_Phdr
struct | Elf32_Rel
struct | Elf32_Rela
struct | Elf32_Shdr
struct | Elf32_Sym
struct | Elf32_Syminfo
struct | Elf32_Verdaux
struct | Elf32_Verdef
struct | Elf32_Vernaux
struct | Elf32_Verneed

## Macros
#define | ELF32_M_INFO(sym, size) (((sym)<<8)+(unsigned char)(size))
#define | ELF32_M_SIZE(info) ((unsigned char)(info))
#define | ELF32_M_SYM(info) ((info)>>8)
#define | ELF32_R_INFO(sym, type) (((sym) << 8) + (unsigned char)(type))
#define | ELF32_R_SYM(info) ((info) >> 8)
#define | ELF32_R_TYPE(info) ((unsigned char)(info))
#define | ELF32_ST_BIND(info) ((info) >> 4)
#define | ELF32_ST_INFO(bind, type) (((bind) << 4) + ((type) & 0xf))
#define | ELF32_ST_TYPE(info) ((info) & 0xf)
#define | ELF32_ST_VISIBILITY(oth) ((oth) & 0x3)

## Typedefs
typedef uint32_t | Elf32_Addr
typedef uint16_t | Elf32_Half
typedef Elf32_Word | Elf32_Hashelt
typedef uint64_t | Elf32_Lword
typedef Elf_Note | Elf32_Nhdr
typedef uint32_t | Elf32_Off
typedef Elf32_Word | Elf32_Size
typedef Elf32_Sword | Elf32_Ssize
typedef int32_t | Elf32_Sword
typedef Elf32_Half | Elf32_Versym
typedef uint32_t | Elf32_Word

## Macro Definition Documentation

## ◆ ELF32_M_INFO

#define ELF32_M_INFO | ( |  | sym,
|  |  | size
| ) |  | (((sym)<<8)+(unsigned char)(size))

Definition at line 178 of file elf32.h.

## ◆ ELF32_M_SIZE

#define ELF32_M_SIZE | ( |  | info | ) | ((unsigned char)(info))

Definition at line 177 of file elf32.h.

## ◆ ELF32_M_SYM

#define ELF32_M_SYM | ( |  | info | ) | ((info)>>8)

Definition at line 176 of file elf32.h.

## ◆ ELF32_R_INFO

#define ELF32_R_INFO | ( |  | sym,
|  |  | type
| ) |  | (((sym) << 8) + (unsigned char)(type))

Definition at line 151 of file elf32.h.

## ◆ ELF32_R_SYM

#define ELF32_R_SYM | ( |  | info | ) | ((info) >> 8)

Definition at line 147 of file elf32.h.

## ◆ ELF32_R_TYPE

#define ELF32_R_TYPE | ( |  | info | ) | ((unsigned char)(info))

Definition at line 148 of file elf32.h.

## ◆ ELF32_ST_BIND

#define ELF32_ST_BIND | ( |  | info | ) | ((info) >> 4)

Definition at line 205 of file elf32.h.

## ◆ ELF32_ST_INFO

#define ELF32_ST_INFO | ( |  | bind,
|  |  | type
| ) |  | (((bind) << 4) + ((type) & 0xf))

Definition at line 209 of file elf32.h.

## ◆ ELF32_ST_TYPE

#define ELF32_ST_TYPE | ( |  | info | ) | ((info) & 0xf)

Definition at line 206 of file elf32.h.

## ◆ ELF32_ST_VISIBILITY

#define ELF32_ST_VISIBILITY | ( |  | oth | ) | ((oth) & 0x3)

Definition at line 212 of file elf32.h.

## Typedef Documentation

## ◆ Elf32_Addr

typedef uint32_t Elf32_Addr

Definition at line 38 of file elf32.h.

## ◆ Elf32_Half

typedef uint16_t Elf32_Half

Definition at line 39 of file elf32.h.

## ◆ Elf32_Hashelt

typedef Elf32_Word Elf32_Hashelt

Definition at line 45 of file elf32.h.

## ◆ Elf32_Lword

typedef uint64_t Elf32_Lword

Definition at line 43 of file elf32.h.

## ◆ Elf32_Nhdr

typedef Elf_Note Elf32_Nhdr

Definition at line 156 of file elf32.h.

## ◆ Elf32_Off

typedef uint32_t Elf32_Off

Definition at line 40 of file elf32.h.

## ◆ Elf32_Size

typedef Elf32_Word Elf32_Size

Definition at line 48 of file elf32.h.

## ◆ Elf32_Ssize

typedef Elf32_Sword Elf32_Ssize

Definition at line 49 of file elf32.h.

## ◆ Elf32_Sword

typedef int32_t Elf32_Sword

Definition at line 41 of file elf32.h.

## ◆ Elf32_Versym

typedef Elf32_Half Elf32_Versym

Definition at line 246 of file elf32.h.

## ◆ Elf32_Word

typedef uint32_t Elf32_Word

Definition at line 42 of file elf32.h.